请选择 进入手机版 | 继续访问电脑版

微力同步 文件同步传输解决方案

 找回密码
 立即注册
搜索
查看: 2973|回复: 10

想请教下,微力是否真正去中心?

[复制链接]

2

主题

7

帖子

22

积分

新手上路

Rank: 1

积分
22
发表于 2018-2-26 10:18:01 | 显示全部楼层 |阅读模式
这个软件感觉非常非常棒啊,但是担心树大招风,未来会不会被qian
我看了下,貌似还是要连微力的服务器,这样还是存在隐患。我自己有个服务器,能否自己建个微力的服务器?
回复

使用道具 举报

20

主题

578

帖子

2428

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
2428
发表于 2018-2-26 11:03:03 | 显示全部楼层
目前微力连接的有
1. 中继服务器  解决双方都是内网的传输问题  加密
2. 跟踪服务器  用于跟踪KEY上的链接,数据完全加密,不可逆向,放在中心是因为有更高的安全性,可以避免攻击, 也有更好的连接效率
至于其它问题请放心使用。
回复

使用道具 举报

2

主题

7

帖子

22

积分

新手上路

Rank: 1

积分
22
 楼主| 发表于 2018-2-26 11:06:26 | 显示全部楼层
好的,谢谢
回复

使用道具 举报

0

主题

8

帖子

148

积分

注册会员

Rank: 2

积分
148
发表于 2018-2-26 12:56:04 | 显示全部楼层
admin 发表于 2018-2-26 11:03
目前微力连接的有
1. 中继服务器  解决双方都是内网的传输问题  加密
2. 跟踪服务器  用于跟踪KEY上的链接 ...

某些单位的城域网、局域网做了较多限制,无法连接到 中继服务器 和 跟踪服务器 的时候就无法使用,希望支持局域网内部的版本开发。谢谢!
回复

使用道具 举报

20

主题

578

帖子

2428

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
2428
发表于 2018-2-26 13:10:19 | 显示全部楼层
嗯,也许我可以在软件里加入局域网密钥广播功能,可以避免查询跟踪服务器。来支持完全局域网内的使用。
请关注之后版本的发布。

相关话题 https://forum.verysync.com/forum ... mp;tid=447#lastpost
回复

使用道具 举报

2

主题

12

帖子

54

积分

注册会员

Rank: 2

积分
54
发表于 2018-2-28 21:13:42 | 显示全部楼层
这个连接不到的问题,是不是可以从其他类似问题来学习一下解决方法。

无法直接连接到 官方中继服务器官方跟踪服务器 的时候,可以手动指定(微力码指定)一个代理服务器(其他能够连接到的微力客户端,这个微力客户端能够连接到官方中继服务器和跟踪服务器),用来代理传输中继数据和跟踪数据。


类似DNS的机制,和路由查询的机制。


或者真正做成去中心化,所有可用节点定期生成随机数值,选举一个主机作为中继服务器和跟踪服务器。
回复

使用道具 举报

1

主题

6

帖子

43

积分

新手上路

Rank: 1

积分
43
发表于 2018-9-13 16:46:54 | 显示全部楼层
admin 发表于 2018-2-26 11:03
目前微力连接的有
1. 中继服务器  解决双方都是内网的传输问题  加密
2. 跟踪服务器  用于跟踪KEY上的链接 ...

dsm6.2还有救吗?
回复

使用道具 举报

20

主题

578

帖子

2428

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
2428
发表于 2018-9-13 18:43:04 | 显示全部楼层

软件需要的是最低的DSM版本,所以找到你的版本不管6点几都可以安装的,效果是一样的。
回复

使用道具 举报

1

主题

6

帖子

43

积分

新手上路

Rank: 1

积分
43
发表于 2018-9-13 22:33:38 | 显示全部楼层
admin 发表于 2018-9-13 18:43
软件需要的是最低的DSM版本,所以找到你的版本不管6点几都可以安装的,效果是一样的。 ...

你好,我J3455装的黑裙,用的918+的,显示不能安装
回复

使用道具 举报

20

主题

578

帖子

2428

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
2428
发表于 2018-9-13 22:42:57 | 显示全部楼层
547770299 发表于 2018-9-13 22:33
你好,我J3455装的黑裙,用的918+的,显示不能安装

您好,黑群请使用X86 64的 另外这个帖子不是用来讨论这个问题的,如果是安装问题请另开一帖
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|小黑屋|微力同步

GMT+8, 2019-7-23 13:52 , Processed in 0.027068 second(s), 18 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表